%% 预定义字段
-define(WELFARE_GIFTBAG_COUNT,1).      %% 福利礼包计数器标志

-define(WELFARE_GIFTBAG_NOT_SEND_OUT ,0).%% 福利礼包未送完
-define(WELFARE_GIFTBAG_SEND_OUT     ,1).%% 福利礼包已送完

-define(WELFARE_GIFTBAG_GET_COMMON_REWARD,0).%% 非限量奖励
-define(WELFARE_GIFTBAG_GET_LIMIT_REWARD,1).%% 限量奖励



-define(GIFTBAG_NOT_RECEIVED, 0).      %% 礼包未达到领取等级
-define(GIFTBAG_CAN_RECEIVE,  1).      %% 礼包可领取
-define(GIFTBAG_RECEIVED,     2).      %% 礼包已经领取
-define(GIFTBAG_NOT_CONFIG,   3).      %% 礼包未配置
-define(GIFTBAG_GET_OVER,     4).      %% 礼包已经被领完

-define(GiftBagOpenLv,        30).     %% 冲级豪礼开放等级

-define(BAG_TYPE_LEVEL,       1).      %% 冲级礼包
-define(BAG_TYPE_COMBAT,      2).      %% 战力礼包


%%-------------------------------------------------------------------------
%% 冲级礼包数据记录
%%-------------------------------------------------------------------------
-record(rush_giftbag,
        {
          giftbag_state = []       %% 礼包领取状态{BagId, State, Remain, IsLimitReward}
        }).


%%-------------------------------------------------------------------------
%% 冲级礼包配置记录
%%-------------------------------------------------------------------------
-record(base_rush_giftbag,{
	id = 0,							   %% 礼包id
	bag_type = 0,                      %% 礼包类型
    bag_sub_type = 0,				   %% 礼包子类
    bag_value = 0,                     %% 领取条件
    bag_name = "",                     %% 礼包名字
    bag_number = 0,                    %% 礼包限定数量
    bag_gift = []                      %% 礼包物品
}).

-record(base_welfare_giftbag, {
    id = 0,                            %% 礼包id
    type = 0,                          %% 礼包类型 1-冲级 2-战力
    limit_num = 0,                     %% 限定数量
    receive_condition = [],            %% 领取条件
    fix_reward = [],                   %% 礼包限定数量
    limit_reward = []                  %% 礼包物品
    }).

%%-------------------------------------------------------------------------
%% 数据库操作相关
%%-------------------------------------------------------------------------
-define(sql_get_rush_giftbag,      <<"select giftbag_state from rush_giftbag where player_id = ~p">>).
-define(sql_replace_rush_giftbag,  <<"replace into rush_giftbag(player_id,giftbag_state) values(~p, '~s')">>).
